%define upstream_name    POSIX-RT-Signal
%define upstream_version 0.019

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    POSIX Real-time signal handling functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POSIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::CheckLib)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Signal::Info)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(threads::shared)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This is the old name of the POSIX::RT::Signal manpage. This is only
available for legacy purposes and will be removed at some point in the
future. For a description of the functions it exports, see
POSIX::RT::Signal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Tue May 13 2025 tv <tv> 0.19.0-1.mga10
+ Revision: 2183249
- update to 0.019

* Sun Feb 09 2025 tv <tv> 0.18.0-1.mga10
+ Revision: 2146314
- update to 0.018

* Fri Aug 23 2024 tv <tv> 0.17.0-2.mga10
+ Revision: 2089647
- Rebuild for perl-5.40

* Thu Feb 01 2024 tv <tv> 0.17.0-1.mga10
+ Revision: 2036551
- update to 0.017

* Fri Dec 01 2023 tv <tv> 0.15.0-13.mga10
+ Revision: 2012403
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.15.0-12.mga9
+ Revision: 1875103
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.15.0-11.mga9
+ Revision: 1795311
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.15.0-10.mga8
+ Revision: 1606993
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.15.0-9.mga8
+ Revision: 1508384
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.15.0-8.mga7
+ Revision: 1293641
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.15.0-7.mga7
+ Revision: 1250335
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.15.0-6.mga7
+ Revision: 1166318
- rebuild with fixed rpm for missing autodeps

* Tue Sep 05 2017 tv <tv> 0.15.0-5.mga7
+ Revision: 1151376
- rebuild with fixed perl

* Sun Jun 19 2016 pterjan <pterjan> 0.15.0-4.mga6
+ Revision: 1032647
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.15.0-3.mga6
+ Revision: 957888
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.15.0-2.mga6
+ Revision: 845146
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.15.0-1.mga6
+ Revision: 841786
- update to 0.015

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-8.mga5
+ Revision: 746050
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-7.mga5
+ Revision: 685838
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.12.0-6.mga5
+ Revision: 632310
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.12.0-4.mga4
+ Revision: 524940
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.12.0-3.mga4
+ Revision: 431701
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.0-2.mga3
+ Revision: 371328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 0.12.0-1.mga3
+ Revision: 288500
- update to 0.012

* Fri Aug 31 2012 kharec <kharec> 0.11.0-1.mga3
+ Revision: 286364
- update to 0.011

* Tue Jun 05 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 255283
- update to 0.010

* Wed May 30 2012 jquelin <jquelin> 0.9.0-2.mga3
+ Revision: 251077
- rebuild for perl 5.16

* Sat Dec 10 2011 kharec <kharec> 0.9.0-1.mga2
+ Revision: 180404
- update to 0.009

* Fri Dec 09 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 179395
- update to 0.008

* Wed Dec 07 2011 kharec <kharec> 0.7.0-1.mga2
+ Revision: 178122
- update to 0.007

* Mon Nov 28 2011 kharec <kharec> 0.6.0-1.mga2
+ Revision: 173558
- update to 0.006

* Sun Nov 27 2011 kharec <kharec> 0.5.0-1.mga2
+ Revision: 172928
- imported package perl-POSIX-RT-Signal

